Bug 145615 - sysutils/brasero antlr/pcct conflict build problem.
Summary: sysutils/brasero antlr/pcct conflict build problem.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marius Strobl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-10 20:20 UTC by Monty Hall
Modified: 2010-05-02 13:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Monty Hall 2010-04-10 20:20:00 UTC
When building brasero, I'm getting a conflict between antlr and pccts.  They
conflict w/ each other.  pccts is really antlr version 1, the current antlr
is really antler 2, and there is an antlr 3, but it's not in the ports.

So the conflicting applications that I know of are:
*cdrdao via brasero, requires pccts
*stringtemplate libraries require antlr 2.
*I'm sure newer apps are using antlr 3.

Fix: 

would be nice to explicitly version antlr.
Comment 1 Monty Hall 2010-04-10 20:46:28 UTC
I submitted this awhile ago with out the brasero/cdrdao context.

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/140232
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2010-04-10 23:51:34 UTC
Responsible Changed
From-To: freebsd-bugs->gnome

Make this a ports PR, fix Synopsis, and assign.
Comment 3 Jeremy Messenger freebsd_committer 2010-04-28 03:49:15 UTC
Responsible Changed
From-To: gnome->marius

Change owner to marius: I have taken a look at cdrdao port. It only depends on 
pccts in the build time. I think it's safe to use internal pccts (the one that 
is included in cdrdao) instead of ports. It will solve the conflict issue of 
pccts vs antlr when someone want to install cdrdao if antlr exists in the 
system.
Comment 4 dfilter service freebsd_committer 2010-05-02 13:44:07 UTC
marius      2010-05-02 12:43:48 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    sysutils/cdrdao      Makefile 
  Log:
  Build and use the internal pccts in order avoid the conflict between
  devel/antlr and devel/pccts. Generally this doesn't fix anything of
  course, given that there's only one other port which still requires
  devel/pccts instead of its successor it makes sense to avoid that
  dependency.
  
  Approved by:    netchild
  PR:             145615
  
  Revision  Changes    Path
  1.61      +1 -5      ports/sysutils/cdrdao/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Marius Strobl freebsd_committer 2010-05-02 13:44:54 UTC
State Changed
From-To: open->closed

Close; since rev. 1.61 of sysutils/cdrdao/Makefile the internal pccts 
is used.